using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices; // DLL Import

namespace GetTCTest
{
    public partial class Form1 : Form
    {
        [DllImport("user32.dll", SetLastError = true)]
        static extern IntPtr FindWindowEx(IntPtr hwndParent, IntPtr hwndChildAfter, string lpszClass, string lpszWindow);
        [DllImport("user32.dll", CharSet = CharSet.Auto)]
        static extern IntPtr SendMessage(IntPtr hWnd, UInt32 Msg, int wParam, StringBuilder lParam);
        
        private const int WM_GETTEXT = 0x000D;

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            IntPtr hWnd = IntPtr.Zero;
            hWnd = FindWindowEx(IntPtr.Zero, IntPtr.Zero, "PCTimecode", null);
            if (hWnd != IntPtr.Zero)
            {
                IntPtr hWndChild = IntPtr.Zero;
                hWndChild = FindWindowEx(hWnd, IntPtr.Zero, "edit", null);
                if (hWndChild != IntPtr.Zero)
                {
                    StringBuilder sb = new StringBuilder("xx:xx:xx:xx");
                    IntPtr rl = SendMessage(hWndChild, WM_GETTEXT, sb.Length + 1, sb);
                    label1.Text = sb.ToString();
                }
                else
                {
                    label1.Text = "PCTimecode error. orz";
                }
            }
            else
            {
                label1.Text = "PCTimecode not found. orz";
            }
        }
    }
}